$(document).ready(function() {
	
	$stateDropdown = $("#state");
	$cityDropdown = $("#city");
	
	$stateDropdown.on("change", function(e) {
		var state = $(this).val();
		//state is an array, convert it to a list
		state = state.join(",");

		//always clear
		$cityDropdown.empty();
		//reinject the default
		$cityDropdown.append("<option>-- Select a City --</option>");
		//if blank, do nothing
		if(state === 0) return;
		$.getJSON("service.cfc?method=getCities", {state:state}).done(function(res) {
			for(var i=0, len=res.length; i<len; i++) {
				$cityDropdown.append("<option>"+res[i].CITY+"</option>");
			}
		});
	});
	
});